# Retrieve a schema by project id Retrieve a schema by project id Endpoint: GET /projects/{id}/schema Version: 2.51.0 Security: OAuth2 ## Path parameters: - `id` (string, required) Project id Example: "63e6663823b4c1f5287398bb" ## Response 200 fields (application/json): - `version` (integer) Example: 1 - `dataPoints` (array) Example: [{"internalName":"type","displayName":"Type","type":"string","source":{"type":"extractor"},"normalization":[],"rules":{}},{"internalName":"number","displayName":"Number","type":"string","source":{"type":"extractor"},"normalization":[],"rules":{}},{"internalName":"issuedAt","displayName":"Issued At","type":"date","preferDayOfMonth":"last","source":{"type":"extractor"},"normalization":[],"rules":{}},{"internalName":"deliveredAt","displayName":"Delivered At","type":"date","preferDayOfMonth":"last","source":{"type":"extractor"},"normalization":[],"rules":{}},{"internalName":"currency","displayName":"Currency","type":"string","source":{"type":"extractor"},"normalization":[],"rules":{}}] - `dataPoints.internalName` (string) - `dataPoints.displayName` (string) - `dataPoints.type` (string) - `dataPoints.normalization` (array) - `dataPoints.rules` (object) - `features` (object) - `features.derivation` (boolean) - `enrichment` (object) - `validation` (object) ## Response 400 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error